# Joining a Zulip organization

By default, Zulip organizations require an invitation to join.

Organization owners can also allow anyone to join without an
invitation, and/or restrict user email addresses to a company domain. See
[inviting new users](/help/invite-new-users).

## Check if you need an invitation to join

{start_tabs}

1. Go to the Zulip URL of the organization.

1. Click **Sign up** in the top right corner of the page.

1. If you see a sign-up form, invitations are not required! Otherwise, the
  page will say that you need an invitation to join.

{end_tabs}

## Check if you need an email from a specific domain

{start_tabs}

1. Go to the Zulip URL of the organization.

1. Click **Sign up** in the top right corner of the page.

1. Try to create an account with your desired email address.

1. If your email address is not from an allowed domain, you will get an
   error message to that effect.

{end_tabs}

## Accept an invitation

Invitations to Zulip organizations often come by email. Look for an email
from Zulip. It may take a few minutes for the invitation email to reach your
inbox.

Alternatively, an organization administrator may have sent you an invitation
link via another method.

## Tips

* If you are joining multiple Zulip organizations, we recommend
  using the [Zulip Desktop app](../apps). The desktop app makes it easy to
  [switch between different organizations](/help/switching-between-organizations).

* If your company uses single sign-on (SSO) authentication for Zulip,
  these instructions may not apply. Try going to your company's Zulip URL
  to see if there are instructions there; otherwise contact your manager
  or IT department for company-specific instructions.


## Related articles

* [Invite new users](/help/invite-new-users)
* [Switching between organizations](/help/switching-between-organizations)
* [Import your settings](/help/import-your-settings)
