# Private messages

**Private messages (PMs)** are one-on-one conversations between you and
another user. **Group private messages (group PMs)** are small
discussions with a group of users.

PMs and group PMs work well for one-off conversations. If you find yourself
frequently conversing with the same person or the same group of people, we
highly recommend [creating a private stream](/help/create-a-stream) for your
conversations instead.

Note that group PMs are not the same as [user groups](/help/user-groups) or
private streams. PMs and group PMs do not have [topics](/help/streams-and-topics)
and do not appear in your list of streams.

## Send a PM

{start_tabs}

{tab|desktop-web}

1. Click the **New private message** button at the bottom of the app, or
   use the <kbd>X</kbd> keyboard shortcut.

1. Start typing the name of the person you want to message, and
   select their name from the list of suggestions.

{!compose-and-send-message.md!}

!!! tip ""

      You can also click on any user in the right sidebar to start composing
      a private message to them. Or open their **user card** by clicking on
      their profile picture or name, and select **Send private message**.

{tab|mobile}

1. Tap the private messages
   ( <img src="/static/images/help/mobile-pm-tab-icon.svg" alt="private messages" class="mobile-icon"/> )
   tab at the bottom of the app.

1. Tap the **New PM** button at the top of the app.

1. Start typing the name of the person you want to message, and
   select their name from the list of suggestions.

1. Compose your message, and tap the send
   (<img src="/static/images/help/mobile-send-circle-icon.svg" alt="send" class="mobile-icon"/>)
   button in the bottom right corner of the app.

!!! tip ""

    You can also tap on a user's profile picture or name, and tap the
    **Send private message** button at the bottom of the app.

{end_tabs}

## Send a group PM

{!send-group-pm.md!}

## Access a PM or group PM

If using Zulip in a browser or desktop, there are several ways to access an existing PM or group PM.

* Click on **Private messages** near the top of the left sidebar to access
  recent conversations.

* Click on any user in the right sidebar.

* Start typing a user's name in the [search](/help/search-for-messages) bar.
  You'll be able to select PMs or group PMs with that user.

* Open the compose box, and enter a list of users on the **To:**
  line. Type <kbd>Ctrl</kbd> + <kbd>.</kbd> to open that conversation.

## Related articles

* [Typing notifications](/help/typing-notifications)
* [Open the compose box](/help/open-the-compose-box)
