# User cards

In the web and desktop apps, user cards contain basic information about a user
or bot. User cards are also a handy starting point for actions such as a [viewing a
user's profile](/help/view-someones-profile) or [viewing the messages they've
sent](/help/view-messages-sent-by-a-user).

## Information in a user's card

{start_tabs}

- Their avatar.
- Their name.
- Their email address, if you [have
  permission](/help/restrict-visibility-of-email-addresses) to view it.
- Their [role](/help/roles-and-permissions) in the organization.
- The custom profile fields
  [selected](/help/custom-profile-fields#display-custom-fields-on-user-card) by
  administrators to be featured on user cards.
- Their current [local time](/help/change-your-timezone).
- Their [status and availability](/help/status-and-availability).

{end_tabs}

## View someone's user card

{start_tabs}

{!right-sidebar-user-card.md!}

!!! tip ""

    You can also click on a user's profile picture or name on a message they sent.

!!! keyboard_tip ""

    Alternatively, open someone's **user card** by selecting a message they sent, and
    using the <kbd>U</kbd> shortcut.

{end_tabs}

## Related articles

- [View someone's profile](/help/view-someones-profile)
